LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLayoutManagerListener Interface Reference

makes it possible to receive events from a layout manager. More...

`import"XLayoutManagerListener.idl";`

Inheritance diagram for XLayoutManagerListener:

## Public Member Functions
void | layoutEvent ([in] com::sun::star::lang::EventObject aSource, [in] short eLayoutEvent, [in] any aInfo)
| is invoked when a layout manager has made a certain operation. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive events from a layout manager.

Events are provided only for notification purposes only. All operations are handled internally by the layout manager component, so that GUI layout works properly regardless of whether a component registers such a listener or not.

See also
  com::sun::star::frame::LayoutManager
  com::sun::star::frame::LayoutManagerEvents

Since
  OOo 2.0

## Member Function Documentation

## ◆ layoutEvent()

void layoutEvent | ( | [in] com::sun::star::lang::EventObject | aSource,
|  | [in] short | eLayoutEvent,
|  | [in] any | aInfo
| ) |  |

is invoked when a layout manager has made a certain operation.

Parameters

  aSource | reference to the layout manager which invoked the event.
  eLayoutEvent | identifies the layout event that has occurred.
  aInfo | provides additional information about the event. The type of info depends on the event.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XLayoutManagerListener.idl